/**/# $Xukc: Imakefile,v 1.4 90/11/07 15:38:59 rlh2 Rel Locker: rlh2 $
/**/# Imakefile for Xukc Library

#if defined(ProjectX) && ProjectX > 4
#include "Library.tmpl"
#else
/**/# Taken from  Library.tmpl

/*
 * Library imakefile info  - this contains any special redefinitions, etc.
 * that Imakefiles in the various library subtrees will need.
 */

/**/# $XConsortium: Library.tmpl,v 1.2 89/10/20 10:19:18 jim Exp $

         CC = LibraryCcCmd
  CCOPTIONS = LibraryCCOptions
STD_DEFINES = LibraryDefines
CDEBUGFLAGS = LibraryCDebugFlags
#endif

#include "../../Xukc.tmpl"

     STD_INCLUDES = -I. -I$(TOP) -I$(INCLUDESRC)

#if defined(UseMotifWidgetSet) && UseMotifWidgetSet == YES
       MOTIF_HEADERS = MotifConv.h
       MOTIF_SRC = MotifConv.c
       MOTIF_OBJ = MotifConv.o
#else
       MOTIF_HEADERS =
       MOTIF_SRC = 
       MOTIF_OBJ =
#endif

       UKCHEADERS = Arrow.h \
                    ArrowP.h \
                    Command.h \
                    CommandP.h \
                    Error.h \
                    ErrorP.h \
                    Label.h \
                    LabelP.h \
                    Layout.h \
                    LayoutP.h \
                    Med3Menu.h \
                    Med3MenuP.h \
                    MenuPane.h \
                    MenuPaneP.h \
                    Mouse.h \
                    MouseP.h \
                    Passive.h \
                    PassiveP.h \
		    RowCol.h \
		    RowColP.h \
                    Scaled.h \
                    ScaledP.h \
                    ScrollList.h \
                    ScrollListP.h \
                    Scrollbar.h \
                    ScrollbarP.h \
                    Toggle.h \
                    ToggleP.h \
                    Value.h \
                    ValueP.h \
                    Viewport.h \
                    ViewportP.h \
                    Converters.h \
                    Convert.h \
                    xpm.h \
                    ICRM.h \
                    text.h \
                    memory.h \
                    draw.h \
                    utils.h \
		    $(MOTIF_HEADERS)

             SRCS = Arrow.c \
                    Command.c \
                    Error.c \
                    Label.c \
                    Layout.c \
                    Med3Menu.c \
                    MenuPane.c \
                    Mouse.c \
                    Passive.c \
		    RowCol.c \
                    Scaled.c \
                    ScrollList.c \
                    Scrollbar.c \
                    Toggle.c \
                    Value.c \
                    Viewport.c \
                    xt_extensions.c \
                    Converters.c \
                    CvtTrans2Str.c \
                    XPixmapRead.c \
                    icrm.c \
                    text.c \
                    actions.c \
                    memory.c \
                    window.c \
                    draw.c \
                    utils.c \
		    $(MOTIF_SRC) \
		    GNUmalloc/malloc.c

             OBJS = Arrow.o \
                    Command.o \
                    Error.o \
                    Label.o \
                    Layout.o \
                    Med3Menu.o \
                    MenuPane.o \
                    Mouse.o \
                    Passive.o \
		    RowCol.o \
                    Scaled.o \
                    ScrollList.o \
                    Scrollbar.o \
                    Toggle.o \
                    Value.o \
                    Viewport.o \
                    xt_extensions.o \
                    Converters.o \
                    CvtTrans2Str.o \
                    XPixmapRead.o \
                    icrm.o \
                    text.o \
                    actions.o \
                    memory.o \
                    window.o \
                    draw.o \
                    utils.o \
		    $(MOTIF_OBJ) \
		    GNUmalloc/malloc.o

#if SharedLibXukc
# if DebugLibXukc
SharedAndDebuggedLibraryObjectRule()
# else
SharedLibraryObjectRule()
# endif
#else
# if DebugLibXukc && ProfileLibXukc
DebuggedAndProfiledLibraryObjectRule()
# else
# if DebugLibXukc
DebuggedLibraryObjectRule()
#  else
#   if ProfileLibXukc
ProfiledLibraryObjectRule()
#   else
NormalLibraryObjectRule()
#   endif
#  endif
# endif
#endif

#ifdef SharedLibXukc
NormalSharedLibraryTarget(Xukc,$(SOXUKCREV),$(OBJS))
InstallSharedLibrary(Xukc,$(SOXUKCREV),$(USRLIBDIR))
#endif

NormalLibraryTarget(Xukc,$(OBJS))
InstallLibrary(Xukc,$(USRLIBDIR))

LintLibraryTarget(Xukc,$(SRCS))

#ifdef ProfileLibXukc
ProfiledLibraryTarget(Xukc,$(OBJS))
InstallLibrary(Xukc_p,$(USRLIBDIR))
#endif

#ifdef DebugLibXukc
DebuggedLibraryTarget(Xukc,$(OBJS))
#endif

BuildIncludes($(UKCHEADERS),Xukc,..)
MakeDirectories(install,$(UKCINCDIR))
InstallMultiple($(UKCHEADERS),$(UKCINCDIR))

DependTarget()

GNUmalloc/malloc.o:
        $(RM) $@
        $(CC) -c -I./GNUmalloc $(CFLAGS) $*.c
        $(MV) malloc.o GNUmalloc
