/* 
 *  [ xmenu2.h ]
 *
 *  Copyright 1991 Richard Hess and Consilium Inc.
 *  Copyright 1990 Richard Hesketh / rlh2@ukc.ac.uk
 *                   Computing Lab. University of Kent at Canterbury, UK
 *
 *  See terms of copyright below...
 *
+------------------------------------------------------------------------------
WHO:	Richard Hess			CORP:	Consilium
TITLE:	Staff Engineer			VOICE:	[415] 691-6342
      [ User Interface Services ]	USNAIL:	640 Clyde Court
UUCP:	...!uunet!cimshop!rhess			Mountain View, CA 94043
+------------------------------------------------------------------------------
 */

#define APP_NAME      "xmMenu"
#define APP_CLASS     "XmMenu"

#define XR_BELL       "xmMenu.bell"
#define XR_GEO        "xmMenu.geo"
#define XR_HEADING    "xmMenu.heading"
#define XR_NEST       "xmMenu.nest"
#define XR_PUNT       "xmMenu.punt"
#define XR_XTRA       "xmMenu.xtra"

#define MENU_BUTTON   "menuButton"
#define MENU_XTRA     "menuXtra"
#define MENU_LABEL    "menuLabel"
#define MENU_LINE     "menuLine"
#define MENU_SUB      "menuSub"

#define MAIN_MENU     "Menu"
#define SUB_MENU      "SubMenu"

#define DEFAULT_MAX   32
#define DEFAULT_MIN   10
#define DEFAULT_PUNT  ""
#define DEFAULT_XY    200
#define DEFAULT_NEST  10
#define XTIMEOUT      200

#define LINE          1
#define LINE_TOK      "-line"
#define MENU          2
#define MENU_TOK      "-menu"
#define UNEM          3
#define UNEM_TOK      "-unem"
#define STATUS_START  101

/*
 * Copyright 1991 Richard Hess and Consilium Inc.
 *
 * Permission to use, copy, modify and distribute this software [ XMenu2 ] and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of Richard Hess or Consilium Inc not be 
 * used in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  Richard Hess and Consilium Inc
 * make no representations about the suitability of this software for any 
 * purpose.  It is provided "as is" without express or implied warranty.
 *
 * Richard Hess AND Consilium Inc DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS,
 * IN NO EVENT SHALL Richard Hess OR Consilium Inc BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 * OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * Author:  Richard Hess [ cimshop!rhess@uunet.UU.NET ][ Febuary 1991 ]
+------------------------------------------------------------------------------
WHO:	Richard Hess			CORP:	Consilium
TITLE:	Staff Engineer			VOICE:	[415] 691-6342
      [ User Interface Services ]	USNAIL:	640 Clyde Court
UUCP:	...!uunet!cimshop!rhess			Mountain View, CA 94043
+------------------------------------------------------------------------------
 */

/*
 * Copyright 1990 Richard Hesketh / rlh2@ukc.ac.uk
 *                Computing Lab. University of Kent at Canterbury, UK
 *
 * Permission to use, copy, modify and distribute this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of Richard Hesketh and The University of
 * Kent at Canterbury not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior permission.
 * Richard Hesketh and The University of Kent at Canterbury make no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * Richard Hesketh AND THE UNIVERSITY OF KENT AT CANTERBURY DISCLAIMS ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL Richard Hesketh OR THE
 * UNIVERSITY OF KENT AT CANTERBURY BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
 * DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
 * OF THIS SOFTWARE.
 *
 * Author:  Richard Hesketh / rlh2@ukc.ac.uk,
 *                Computing Lab. University of Kent at Canterbury, UK
 */
